Subject: Re: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Richard Copley <[email-masked]>
Date: Tue, 4 Jun 2013 19:27:50 +0100

On 2 June 2013 12:33, Richard Copley <[email-masked]> wrote:

> The attached patch supports both styles. The heuristics didn't turn
> out to be as hairy as I imagined.
>

But my patch is not pretty. I'd be glad to attempt to improve it if there
are any suggestions.

One last time I'll advocate the change I was thinking of initially: re-add
the "ROOT/../site-lisp" entry to PATH_SITELOADSEARCH in epaths.nt, as in
the attached patch.

It would be possible to add a similar entry for Unix-like systems (by
modifying locallisppath in configure.ac), but to me that seems a weird
thing to do. I have not considered the NS build that Stefan mentioned.